# Fullscreen

Core/Fullscreen.js 27
Browser-independent functions for working with the standard fullscreen API.

##### See:

- W3C Fullscreen Living Specification

### Members

#### static readonlyCesium.Fullscreen.changeEventName : String
Core/Fullscreen.js 56

The name of the event on the document that is fired when fullscreen is entered or exited. This event name is intended for use with addEventListener. In your event handler, to determine if the browser is in fullscreen mode or not, use `Fullscreen#fullscreen`.

#### static readonlyCesium.Fullscreen.element : Object
Core/Fullscreen.js 37

The element that is currently fullscreen, if any. To simply check if the browser is in fullscreen mode or not, use `Fullscreen#fullscreen`.

#### static readonlyCesium.Fullscreen.enabled : Boolean
Core/Fullscreen.js 91

Determine whether the browser will allow an element to be made fullscreen, or not. For example, by default, iframes cannot go fullscreen unless the containing page adds an "allowfullscreen" attribute (or prefixed equivalent).

#### static readonlyCesium.Fullscreen.errorEventName : String
Core/Fullscreen.js 73

The name of the event that is fired when a fullscreen error occurs. This event name is intended for use with addEventListener.

#### static readonlyCesium.Fullscreen.fullscreen : Boolean
Core/Fullscreen.js 107

Determines if the browser is currently in fullscreen mode.

### Methods

#### staticCesium.Fullscreen.exitFullscreen()
Core/Fullscreen.js 246

Asynchronously exits fullscreen mode. If the browser is not currently in fullscreen, or if fullscreen mode is not supported by the browser, does nothing.

#### staticCesium.Fullscreen.requestFullscreen(element, vrDevice)
Core/Fullscreen.js 234

Asynchronously requests the browser to enter fullscreen mode on the given element. If fullscreen mode is not supported by the browser, does nothing.

Name | Type | Description
--- | --- | ---
`element` | Object | The HTML element which will be placed into fullscreen mode.
`vrDevice` | HMDVRDevice | optional The VR device.

##### Example:

    // Put the entire page into fullscreen.
    Cesium.Fullscreen.requestFullscreen(document.body)

    // Place only the Cesium canvas into fullscreen.
    Cesium.Fullscreen.requestFullscreen(scene.canvas)

#### staticCesium.Fullscreen.supportsFullscreen() → Boolean
Core/Fullscreen.js 124

Detects whether the browser supports the standard fullscreen API.

##### Returns:

`true` if the browser supports the standard fullscreen API, `false` otherwise.